Page MenuHomePhabricator

cloudvps: wikidata-federation project trusty deprecation
Closed, ResolvedPublic

Description

Ubuntu Trusty is no longer available in Cloud VPS since Nov 2017 for new instances. However, the EOL of Trusty is approaching in 2019 and we need to move to Debian Stretch before that date.

All instances in the wikidata-federation project needs to upgrade as soon as possible.

The list of affected VMs is:

  • federation-wikis.wikidata-federation.eqiad.wmflabs
  • multiwiki-wikibase.wikidata-federation.eqiad.wmflabs

Listed administrator are:

More info in openstack browser: https://tools.wmflabs.org/openstack-browser/project/wikidata-federation

Event Timeline

aborrero triaged this task as Medium priority.Sep 18 2018, 12:13 PM
aborrero created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 18 2018, 12:13 PM

I think the nodes belong to multimedia team not ours. Correct me if I'm wrong.

Instances belong to the administrators of whatever project they are in, not any team.

Krenair updated the task description. (Show Details)Sep 19 2018, 5:44 PM
Krenair added a subscriber: hoo.

Hey @Addshore @aude @Cparle @daniel @hoo @Jakob_WMDE @Ladsgroup @MarkTraceur @matthiasmullie @Pablo-WMDE @thiemowmde @WMDE-leszek. Just a friendly reminder that you should get rid of your Trusty instances as described in https://wikitech.wikimedia.org/wiki/News/Trusty_deprecation#Cloud_VPS_projects. The deadline is 2018-12-18. Please get in contact if you need help.
Also, please assign this task to an individual.

Krenair updated the task description. (Show Details)Oct 22 2018, 9:27 AM

Another ping. Deadline is approaching (2018-12-18).

Ladsgroup removed a subscriber: Jonas.
Restricted Application added a project: Wikidata. · View Herald TranscriptNov 20 2018, 1:55 PM

Ping. Today is Friday and the deadline is Tuesday.

I've checked both affected instances, and confirmed they're no longer in use and not needed. Hence, I've deleted them.
Apologies for taking so many weeks for such an easy measure.

Krenair closed this task as Resolved.Dec 17 2018, 5:53 PM